
{: test that writing to a file opened for reading causes a fatal error }

{$d+}
program d030( output );

var
   f :  text;
begin
   rewrite( f );
   reset( f );
   page(f);
   writeln( 'fails: write to file opened for reading' );
end. { d030 }

